| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteStructType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteStructType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteStructType ()
| Default constructor.
eProsima_user_DllExport | ~CompleteStructType ()
| Default destructor.
eProsima_user_DllExport | CompleteStructType (const CompleteStructType &x)
| Copy constructor.
eProsima_user_DllExport | CompleteStructType (CompleteStructType &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteStructType & | operator= (const CompleteStructType &x)
| Copy assignment.
eProsima_user_DllExport CompleteStructType & | operator= (CompleteStructType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteStructType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteStructType &x) const
| Comparison operator.
eProsima_user_DllExport void | struct_flags (const StructTypeFlag &_struct_flags)
| This function copies the value in member struct_flags.
eProsima_user_DllExport void | struct_flags (StructTypeFlag &&_struct_flags)
| This function moves the value in member struct_flags.
eProsima_user_DllExport const StructTypeFlag & | struct_flags () const
| This function returns a constant reference to member struct_flags.
eProsima_user_DllExport StructTypeFlag & | struct_flags ()
| This function returns a reference to member struct_flags.
eProsima_user_DllExport void | header (const CompleteStructHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (CompleteStructHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const CompleteStructHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport CompleteStructHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | member_seq (const CompleteStructMemberSeq &_member_seq)
| This function copies the value in member member_seq.
eProsima_user_DllExport void | member_seq (CompleteStructMemberSeq &&_member_seq)
| This function moves the value in member member_seq.
eProsima_user_DllExport const CompleteStructMemberSeq & | member_seq () const
| This function returns a constant reference to member member_seq.
eProsima_user_DllExport CompleteStructMemberSeq & | member_seq ()
| This function returns a reference to member member_seq.

## Detailed Description

This class represents the structure CompleteStructType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteStructType() [1/3]

eProsima_user_DllExport CompleteStructType | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteStructType()

eProsima_user_DllExport ~CompleteStructType | ( |  | ) |

inline

Default destructor.

## ◆ CompleteStructType() [2/3]

eProsima_user_DllExport CompleteStructType | ( | const CompleteStructType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteStructType that will be copied.

## ◆ CompleteStructType() [3/3]

eProsima_user_DllExport CompleteStructType | ( | CompleteStructType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteStructType that will be copied.

## Member Function Documentation

## ◆ header() [1/4]

eProsima_user_DllExport CompleteStructHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const CompleteStructHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | CompleteStructHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | const CompleteStructHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ member_seq() [1/4]

eProsima_user_DllExport CompleteStructMemberSeq & member_seq | ( |  | ) |

inline

This function returns a reference to member member_seq.

Returns
  Reference to member member_seq

## ◆ member_seq() [2/4]

eProsima_user_DllExport const CompleteStructMemberSeq & member_seq | ( |  | ) | const

inline

This function returns a constant reference to member member_seq.

Returns
  Constant reference to member member_seq

## ◆ member_seq() [3/4]

eProsima_user_DllExport void member_seq | ( | CompleteStructMemberSeq && | _member_seq | ) |

inline

This function moves the value in member member_seq.

Parameters

  _member_seq | New value to be moved in member member_seq

## ◆ member_seq() [4/4]

eProsima_user_DllExport void member_seq | ( | const CompleteStructMemberSeq & | _member_seq | ) |

inline

This function copies the value in member member_seq.

Parameters

  _member_seq | New value to be copied in member member_seq

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteStructType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteStructType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteStructType & operator= | ( | CompleteStructType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteStructType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteStructType & operator= | ( | const CompleteStructType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteStructType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteStructType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteStructType object to compare.

## ◆ struct_flags() [1/4]

eProsima_user_DllExport StructTypeFlag & struct_flags | ( |  | ) |

inline

This function returns a reference to member struct_flags.

Returns
  Reference to member struct_flags

## ◆ struct_flags() [2/4]

eProsima_user_DllExport const StructTypeFlag & struct_flags | ( |  | ) | const

inline

This function returns a constant reference to member struct_flags.

Returns
  Constant reference to member struct_flags

## ◆ struct_flags() [3/4]

eProsima_user_DllExport void struct_flags | ( | const StructTypeFlag & | _struct_flags | ) |

inline

This function copies the value in member struct_flags.

Parameters

  _struct_flags | New value to be copied in member struct_flags

## ◆ struct_flags() [4/4]

eProsima_user_DllExport void struct_flags | ( | StructTypeFlag && | _struct_flags | ) |

inline

This function moves the value in member struct_flags.

Parameters

  _struct_flags | New value to be moved in member struct_flags

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp